Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.sql
Interface SQLElement

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SQLValue, SQLLiteral

public interface SQLElement
extends Serializable

An element in a `SQLBuffer`. Elements are typically literals or values that can be translated into a bound parameter for a PreparedStatement.

Since:
  2.4

Method Summary
`int` | `applyParameter(PreparedStatement ps, int index)` Bind the value as a parameter to the given PreparedStatement.
`String` | `getBoundParameter()` Returns the bound parameter for inclusion on a PreparedStatement.
`String` | `getUnboundParameter()` Returns the parameter as a String suitable for embedding in a SQL Statement.

Method Detail

### getBoundParameter

    public String getBoundParameter()

  Returns the bound parameter for inclusion on a PreparedStatement. E.g., for a replaceable value, this would be "?", but for a literal it would be the raw String.

### getUnboundParameter

    public String getUnboundParameter()

  Returns the parameter as a String suitable for embedding in a SQL Statement. This will do any disctionary-specific translation in order to return a String suitable for sending the data to the data store.

### applyParameter

    public int applyParameter(PreparedStatement ps,
                              int index)
                       throws SQLException

  Bind the value as a parameter to the given PreparedStatement.
  Returns:
    the number of parameters bound (typically one or 0)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.